﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Adding functionality to gridviews.</title>
    <script type="text/javascript" language="javascript">
  
    function ChangeCheckBoxState(id, checkState)
    {
       var cb = document.getElementById(id);
       if (cb != null)
          //sets the combobox found by the id parameter to the value of the parameter checkstate                
          cb.checked = checkState;
    }
    
    function ChangeAllCheckBoxStates(checkState)
    {
       //checks if the CheckBoxIds array variable exists
       if (CheckBoxIDs != null)
       {
          //sets all the checkboxes in the CheckBoxIDs array variable to the value of the parameter checkstate
          for (var i = 0; i < CheckBoxIDs.length; i++)
             ChangeCheckBoxState(CheckBoxIDs[i], checkState);
       }
     }
     
     function ChangeHeaderState()
     {

         if (CheckBoxIDs != null)
         {
             //checks if all other checkboxes are checked
             for (var i = 1; i < CheckBoxIDs.length; i++)
             {
                 var cb = document.getElementById(CheckBoxIDs[i]);
                 if (!cb.checked)
                 {
                     //if there's and unchecked checkbox the header checkbox is set to false and the method is finished
                     ChangeCheckBoxState(CheckBoxIDs[0], false);
                     return;
                 }
             }
            
             //if we reach to this point, all gridview checkboxes are checked so the header checkbox is set to true
             ChangeCheckBoxState(CheckBoxIDs[0], true);
         }
     }
     
     </script>
</head>
<body>
    <form id="frmMain" runat="server">
    <asp:Label ID="CheckBoxIDsArray" runat="server" Text="Label"></asp:Label>
    <div>
        <asp:Button ID="btnShowMultiple" runat="server" Text="Show multiple descriptions" OnClick="btnShowMultiple_Click" Width="190px" />
        <br /><br />
        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" OnRowCommand="GridView1_RowCommand">
            <HeaderStyle BackColor="#DCEAC7" Font-Overline="False" Font-Underline="True" HorizontalAlign="Left" VerticalAlign="Top" Font-Bold="False" />                     
            <Columns>
                <asp:buttonfield ButtonType="Image" ImageUrl="~/images/edit.gif" commandname="ibtnEdit" HeaderText=" " />
                <asp:buttonfield ButtonType="Image" ImageUrl="~/images/show.gif" commandname="ibtnShow" HeaderText=" " />
                <asp:TemplateField>
                    <HeaderTemplate>
                        <asp:CheckBox runat="server" ID="cbHeader" />
                    </HeaderTemplate>
                    <ItemTemplate>
                        <asp:CheckBox runat="server" ID="cbItem" />
                    </ItemTemplate>
                </asp:TemplateField> 
                <asp:BoundField DataField="Code" HeaderText="Code" >
                    <ItemStyle Width="50px" />
                    <HeaderStyle Width="50px" />
                </asp:BoundField>
                <asp:BoundField DataField="Name" HeaderText="Name" >
                    <ItemStyle Width="100px" />
                    <HeaderStyle Width="000px" />
                </asp:BoundField>
                <asp:BoundField DataField="Description" HeaderText="Description" >
                    <ItemStyle Width="300px" />
                    <HeaderStyle Width="300px" />
                </asp:BoundField>
            </Columns>            
        </asp:GridView>
    </div>
    <br />
    <div id="divDescriptions" runat="server">
    </div>
    </form>
</body>
</html>
